/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/DataType","sap/base/util/ObjectPath","sap/ui/core/library","sap/ui/layout/library","sap/ui/unified/library"],function(o,e){"use strict";var a=sap.ui.getCore().initLibrary({name:"sap.ui.commons",version:"1.128.0",dependencies:["sap.ui.core","sap.ui.layout","sap.ui.unified"],types:["sap.ui.commons.ButtonStyle","sap.ui.commons.HorizontalDividerHeight","sap.ui.commons.HorizontalDividerType","sap.ui.commons.LabelDesign","sap.ui.commons.MenuBarDesign","sap.ui.commons.MessageType","sap.ui.commons.PaginatorEvent","sap.ui.commons.RatingIndicatorVisualMode","sap.ui.commons.RowRepeaterDesign","sap.ui.commons.SplitterSize","sap.ui.commons.TextViewColor","sap.ui.commons.TextViewDesign","sap.ui.commons.TitleLevel","sap.ui.commons.ToolbarDesign","sap.ui.commons.ToolbarSeparatorDesign","sap.ui.commons.TreeSelectionMode","sap.ui.commons.TriStateCheckBoxState","sap.ui.commons.enums.AreaDesign","sap.ui.commons.enums.BorderDesign","sap.ui.commons.enums.Orientation","sap.ui.commons.form.GridElementCells","sap.ui.commons.form.SimpleFormLayout","sap.ui.commons.layout.BackgroundDesign","sap.ui.commons.layout.BorderLayoutAreaTypes","sap.ui.commons.layout.HAlign","sap.ui.commons.layout.Padding","sap.ui.commons.layout.Separation","sap.ui.commons.layout.VAlign","sap.ui.commons.ColorPickerMode"],interfaces:["sap.ui.commons.FormattedTextViewControl","sap.ui.commons.ToolbarItem"],controls:["sap.ui.commons.Accordion","sap.ui.commons.ApplicationHeader","sap.ui.commons.AutoComplete","sap.ui.commons.Button","sap.ui.commons.Callout","sap.ui.commons.CalloutBase","sap.ui.commons.Carousel","sap.ui.commons.CheckBox","sap.ui.commons.ColorPicker","sap.ui.commons.ComboBox","sap.ui.commons.DatePicker","sap.ui.commons.Dialog","sap.ui.commons.DropdownBox","sap.ui.commons.FileUploader","sap.ui.commons.FormattedTextView","sap.ui.commons.HorizontalDivider","sap.ui.commons.Image","sap.ui.commons.ImageMap","sap.ui.commons.InPlaceEdit","sap.ui.commons.Label","sap.ui.commons.Link","sap.ui.commons.ListBox","sap.ui.commons.Menu","sap.ui.commons.MenuBar","sap.ui.commons.MenuButton","sap.ui.commons.Message","sap.ui.commons.MessageBar","sap.ui.commons.MessageList","sap.ui.commons.MessageToast","sap.ui.commons.Paginator","sap.ui.commons.Panel","sap.ui.commons.PasswordField","sap.ui.commons.ProgressIndicator","sap.ui.commons.RadioButton","sap.ui.commons.RadioButtonGroup","sap.ui.commons.RangeSlider","sap.ui.commons.RatingIndicator","sap.ui.commons.ResponsiveContainer","sap.ui.commons.RichTooltip","sap.ui.commons.RoadMap","sap.ui.commons.RowRepeater","sap.ui.commons.SearchField","sap.ui.commons.SegmentedButton","sap.ui.commons.Slider","sap.ui.commons.Splitter","sap.ui.commons.Tab","sap.ui.commons.TabStrip","sap.ui.commons.TextArea","sap.ui.commons.TextField","sap.ui.commons.TextView","sap.ui.commons.ToggleButton","sap.ui.commons.Toolbar","sap.ui.commons.Tree","sap.ui.commons.TriStateCheckBox","sap.ui.commons.ValueHelpField","sap.ui.commons.form.Form","sap.ui.commons.form.FormLayout","sap.ui.commons.form.GridLayout","sap.ui.commons.form.ResponsiveLayout","sap.ui.commons.form.SimpleForm","sap.ui.commons.layout.AbsoluteLayout","sap.ui.commons.layout.BorderLayout","sap.ui.commons.layout.HorizontalLayout","sap.ui.commons.layout.MatrixLayout","sap.ui.commons.layout.ResponsiveFlowLayout","sap.ui.commons.layout.VerticalLayout"],elements:["sap.ui.commons.AccordionSection","sap.ui.commons.Area","sap.ui.commons.FileUploaderParameter","sap.ui.commons.MenuItem","sap.ui.commons.MenuItemBase","sap.ui.commons.MenuTextFieldItem","sap.ui.commons.ResponsiveContainerRange","sap.ui.commons.RoadMapStep","sap.ui.commons.RowRepeaterFilter","sap.ui.commons.RowRepeaterSorter","sap.ui.commons.SearchProvider","sap.ui.commons.Title","sap.ui.commons.ToolbarSeparator","sap.ui.commons.TreeNode","sap.ui.commons.form.FormContainer","sap.ui.commons.form.FormElement","sap.ui.commons.form.GridContainerData","sap.ui.commons.form.GridElementData","sap.ui.commons.layout.BorderLayoutArea","sap.ui.commons.layout.MatrixLayoutCell","sap.ui.commons.layout.MatrixLayoutRow","sap.ui.commons.layout.PositionContainer","sap.ui.commons.layout.ResponsiveFlowLayoutData"]});a.ButtonStyle={Emph:"Emph",Accept:"Accept",Reject:"Reject",Default:"Default"};a.ColorPickerMode=sap.ui.unified.ColorPickerMode;a.HorizontalDividerHeight={Ruleheight:"Ruleheight",Small:"Small",Medium:"Medium",Large:"Large"};a.HorizontalDividerType={Area:"Area",Page:"Page"};a.LabelDesign={Bold:"Bold",Standard:"Standard"};a.MenuBarDesign={Standard:"Standard",Header:"Header"};a.MessageType={Error:"Error",Warning:"Warning",Success:"Success"};a.PaginatorEvent={First:"First",Previous:"Previous",Goto:"Goto",Next:"Next",Last:"Last"};a.RatingIndicatorVisualMode={Full:"Full",Half:"Half",Continuous:"Continuous"};a.RowRepeaterDesign={Standard:"Standard",Transparent:"Transparent",BareShell:"BareShell"};a.SplitterSize=o.createType("sap.ui.commons.SplitterSize",{isValid:function(o){return/^((0*|([0-9]+|[0-9]*\.[0-9]+)([pP][xX]|%)))$/.test(o)}},o.getType("string"));a.TextViewColor={Default:"Default",Positive:"Positive",Negative:"Negative",Critical:"Critical"};a.TextViewDesign={Standard:"Standard",Bold:"Bold",H1:"H1",H2:"H2",H3:"H3",H4:"H4",H5:"H5",H6:"H6",Italic:"Italic",Small:"Small",Monospace:"Monospace",Underline:"Underline"};a.TitleLevel=sap.ui.core.TitleLevel;a.ToolbarDesign={Standard:"Standard",Transparent:"Transparent",Flat:"Flat"};a.ToolbarSeparatorDesign={Standard:"Standard",FullHeight:"FullHeight"};a.TreeSelectionMode={Multi:"Multi",Single:"Single",None:"None",Legacy:"Legacy"};a.TriStateCheckBoxState={Unchecked:"Unchecked",Mixed:"Mixed",Checked:"Checked"};a.enums=a.enums||{};a.enums.AreaDesign={Plain:"Plain",Fill:"Fill",Transparent:"Transparent"};a.enums.BorderDesign={Box:"Box",None:"None"};a.enums.Orientation={horizontal:"horizontal",vertical:"vertical"};a.form=a.form||{};a.form.GridElementCells=sap.ui.layout.form.GridElementCells;a.form.SimpleFormLayout=sap.ui.layout.form.SimpleFormLayout;a.layout=a.layout||{};a.layout.BackgroundDesign={Border:"Border",Fill1:"Fill1",Fill2:"Fill2",Fill3:"Fill3",Header:"Header",Plain:"Plain",Transparent:"Transparent"};a.layout.BorderLayoutAreaTypes={top:"top",begin:"begin",center:"center",end:"end",bottom:"bottom"};a.layout.HAlign={Begin:"Begin",Center:"Center",End:"End",Left:"Left",Right:"Right"};a.layout.Padding={None:"None",Begin:"Begin",End:"End",Both:"Both",Neither:"Neither"};a.layout.Separation={None:"None",Small:"Small",SmallWithLine:"SmallWithLine",Medium:"Medium",MediumWithLine:"MediumWithLine",Large:"Large",LargeWithLine:"LargeWithLine"};a.layout.VAlign={Bottom:"Bottom",Middle:"Middle",Top:"Top"};sap.ui.lazyRequire("sap.ui.commons.MessageBox","alert confirm show");sap.ui.lazyRequire("sap.ui.commons.MenuItemBase","new extend getMetadata");a.Orientation={Vertical:sap.ui.core.Orientation.Vertical,Horizontal:sap.ui.core.Orientation.Horizontal,vertical:sap.ui.core.Orientation.Vertical,horizontal:sap.ui.core.Orientation.Horizontal};var i=e.get("sap.ui.table.TableHelper");if(!i||!i.bFinal){e.set("sap.ui.table.TableHelper",{createLabel:function(o){return new sap.ui.commons.Label(o)},createTextView:function(o){if(o&&!o.wrapping){o.wrapping=false}return new sap.ui.commons.TextView(o)},addTableClass:function(){return"sapUiTableCommons"},bFinal:false})}if(!sap.ui.layout.GridHelper||!sap.ui.layout.GridHelper.bFinal){sap.ui.layout.GridHelper={getLibrarySpecificClass:function(){return"sapUiRespGridOverflowHidden"},bFinal:false}}return a});
//# sourceMappingURL=library.js.map